| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | List of all members
Ogre::LodCollapser Class Reference
Optional Components » MeshLodGenerator

`#include <OgreLodCollapser.h>`

## Public Member Functions
virtual | ~LodCollapser ()
bool | _getLastVertexCollapseTo (LodData *data, Vector3 &outVec)
| Returns the destination of the edge, which was last reduced. More...
bool | _getLastVertexPos (LodData *data, Vector3 &outVec)
| Returns the last reduced vertex. More...
virtual void | collapse (LodData *data, LodCollapseCost *cost, LodOutputProvider *output, int vertexCountLimit, Real collapseCostLimit)
| Reduces vertices until vertexCountLimit or collapseCostLimit is reached. More...

## Constructor & Destructor Documentation

## ◆ ~LodCollapser()

virtual Ogre::LodCollapser::~LodCollapser | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ collapse()

virtual void Ogre::LodCollapser::collapse | ( | LodData * | data,
|  | LodCollapseCost * | cost,
|  | LodOutputProvider * | output,
|  | int | vertexCountLimit,
|  | Real | collapseCostLimit
| ) |  |
| virtual

Reduces vertices until vertexCountLimit or collapseCostLimit is reached.

## ◆ _getLastVertexPos()

bool Ogre::LodCollapser::_getLastVertexPos | ( | LodData * | data,
|  | Vector3 & | outVec
| ) |  |

Returns the last reduced vertex.

You should call this function after generateLodLevels!

Parameters

  data | This parameter is not used, but this will guarantee that data is alive.
  outVec | The vector receiving the position of the vertex.

Returns
  Whether the outVec was changed. If the mesh is reduced at least 1 vertex, then it returns true.

## ◆ _getLastVertexCollapseTo()

bool Ogre::LodCollapser::_getLastVertexCollapseTo | ( | LodData * | data,
|  | Vector3 & | outVec
| ) |  |

Returns the destination of the edge, which was last reduced.

You should call this function after generateLodLevels!

Parameters

  data | This parameter is not used, but this will guarantee that data is alive.
  outVec | The vector receiving the CollapseTo position.

Returns
  Whether the outVec was changed. If the mesh is reduced at least 1 vertex, then it returns true.

The documentation for this class was generated from the following file:

- OgreLodCollapser.h